<?php

namespace App\Controllers;

use App\Models\Model_kategori_identitas;

class kategori_identitas extends BaseController
{

    public function __construct()
    {
        $this->Model_kategori_identitas = new Model_kategori_identitas();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'kategori_identitas   ',
            'kategori_identitas' => $this->Model_kategori_identitas->all_data(),
            'isi'    => 'v_kategori_identitas'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_kategori_identitas' => $this->request->getPost('nama_kategori_identitas'));
        $this->Model_kategori_identitas->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('kategori_identitas'));
    }

    public function edit($id_kategori_identitas)
    {
        $data = array(
            'id_kategori_identitas' => $id_kategori_identitas,
            'nama_kategori_identitas' => $this->request->getPost('nama_kategori_identitas'),
        );
        $this->Model_kategori_identitas->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('kategori_identitas'));
    }

    public function delete($id_kategori_identitas)
    {
        $data = array(
            'id_kategori_identitas' => $id_kategori_identitas,
        );
        $this->Model_kategori_identitas->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('kategori_identitas'));
    }
    //--------------------------------------------------------------------

}
